#include "vogle.h"

static	int	have_mouse = 0;

void pc_locinit(int x, int y)
{
  if ((have_mouse = ismouse(x, y))) 
    showmouse();
}

int  pc_locator(int *x, int *y)
{
  int ix, iy, b;
  
  if (!have_mouse) 
    return (-1);
  
  
  b = readmouse(&ix, &iy);
  
  *x = ix;
  *y = vdevice.sizeSy - iy;
  return (b);
}
